Bug 1349916 (CVE-2016-5412) - CVE-2016-5412 Kernel: powerpc: kvm: Infinite loop via H_CEDE hypercall when running under hypervisor-mode
Summary: CVE-2016-5412 Kernel: powerpc: kvm: Infinite loop via H_CEDE hypercall when r...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2016-5412
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20160728,repor...
Depends On: 1349244 1360798 1361040
Blocks: 1348800
TreeView+ depends on / blocked
 
Reported: 2016-06-24 14:21 UTC by Adam Mariš
Modified: 2019-06-08 21:18 UTC (History)
36 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 02:55:50 UTC


Attachments (Terms of Use)
Patch 1 (12.28 KB, patch)
2016-06-24 14:36 UTC, Adam Mariš
no flags Details | Diff
Patch 2 (1.89 KB, patch)
2016-06-24 14:36 UTC, Adam Mariš
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:2574 normal SHIPPED_LIVE Important: kernel security, bug fix, and enhancement update 2016-11-03 12:06:10 UTC

Description Adam Mariš 2016-06-24 14:21:14 UTC
It was reported that when a guest kernel running under hypervisor-mode KVM (i.e. "HV KVM" rather than "PR KVM"), does the H_CEDE hypercall while a suspended transaction exists, the host CPU may, under certain circumstances, hang in an infinite loop with interrupts disabled. To trigger this, it is necessary to have the guest using an SMT mode of at least 2, with another thread in the same core busy at the time that the H_CEDE is done. The other thread doesn't need to be using transactional memory.

Upstream patches:
-----------------
  -> https://marc.info/?l=kvm&m=146968629127349&w=2

Comment 2 Adam Mariš 2016-06-24 14:36:21 UTC
Created attachment 1171980 [details]
Patch 1

Comment 3 Adam Mariš 2016-06-24 14:36:52 UTC
Created attachment 1171981 [details]
Patch 2

Comment 5 Prasad J Pandit 2016-07-28 08:39:47 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1361040]

Comment 6 Prasad J Pandit 2016-07-28 11:34:06 UTC
Statement:

This issue does not affect the versions of Linux kernel as shipped with
Red Hat Enterprise Linux 5, 6 and Red Hat Enterprise MRG 2.

This issue affects the version of the kernel packages as shipped with
Red Hat Enterprise Linux 7. Future kernel updates for Red Hat Enterprise Linux 7 may address this issue.

Comment 10 Fedora Update System 2016-08-15 21:23:28 UTC
kernel-4.6.6-300.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2016-08-16 00:50:18 UTC
kernel-4.6.6-200.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 errata-xmlrpc 2016-11-03 16:45:00 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2016:2574 https://rhn.redhat.com/errata/RHSA-2016-2574.html

Comment 16 errata-xmlrpc 2016-11-03 21:35:37 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2016:2574 https://rhn.redhat.com/errata/RHSA-2016-2574.html


Note You need to log in before you can comment on or make changes to this bug.